Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en CX-Position de Omron

Múltiples vulnerabilidades en CX-Position de Omron

Fecha de publicación: 
30/03/2022
Importancia: 
4 - Alta
Recursos afectados: 

CX-Position, versión 2.5.3 y anteriores.

Descripción: 

El investigador "xian1i", en colaboración con Trend Micro Zero Day Initiative, ha informado de varias vulnerabilidades en el producto CX-Position, que podrían permitir a un atacante ejecutar código arbitrario en el sistema al analizar un archivo NCI.

Solución: 

Omron ha publicado la versión 2.5.4 que soluciona esta vulnerabilidad, pero solo está disponible para usuarios de pago que utilizan las funcionalidades de actualizaciones automáticas. Puedes comunicarte con el soporte de Omron para más información.

Detalle: 

Se han descubierto varias vulnerabilidades de criticidad alta, que permitirían la ejecución de código arbitrario en el sistema a través de un desbordamiento de búfer basado en pila, o debido a una restricción incorrecta de operaciones dentro de los límites de un búfer de memoria y su uso después de su liberación. En todos los casos la vulnerabilidad se produce al analizar el producto un fichero de proyecto tipo NCI.

Se han asignado los identificadores CVE-2022-26419, CVE-2022-25959, CVE-2022-26417 y CVE-2022-26022 para estas vulnerabilidades.

Encuesta valoración